Description

Supportanfrage

Hallo,

ich würde gerne mithilfe von ADTF einen Stream einer 3D Punktwolke in Echtzeit visualisieren.

Bislang habe ich keine Erfahrung mit ADTF und würde gerne wissen ob und wie das möglich ist.

Gibt es zum Beispiel bereits einen integrierten Filter welcher die Visualisierung von Punktwolken ermöglicht, sodass nur noch ein

Filter entwickelt werden muss welcher die Punktwolke zur Verfügung stellt?

Oder muss die Visualisierungsumgebung selbst auch noch implementiert werden?

Könnten Sie mir bitte einen Überblick über die Möglichkeiten einer 3D Punktwolken Visualisierung mithilfe von ADTF geben?

Viele Dank im Voraus

Dear Sir or Madam,

I am interested in the visualization of a live stream of a 3D point cloud with ADTF.

I have no experience with the use of ADTF so far and would like to know how it is possible to realize that.

Is there an integrated visualization Filter provided by ADTF so it is only necessary to build a ADTF Filter that generates the point

cloud in a specific fomat?

Or do I also have to create the visualization environment e.g. with QT?

Could you please give me a short summary about the proceeding to visualize a 3D point cloud.

Thanks in advance

Lösung

Dafür kann der Subfilter pointcloudmixin für das 3D Scene Graph Display aktiviert werden.

Die Displaytoolbox muss dafür installiert und die Examples gebaut sein

History

#1 - 2018-01-08 15:24 - hidden

- Status changed from New to In Progress

- Topic set to DisplayTB::Common

- Customer set to BOSCH

Hallo Lukas Eberle,

meinst du vielleicht Folgendes:

In der Displaytoolbox 2.1 wird ein Beispielfilter pointcloudmixin.plb mitgeliefert.
Möglicherweise kann dieser dir weiterhelfen.

Bitte gib bis Freitag, 12.01.2018 Bescheid, ob deine Anfrage damit beantwortet ist und wir das Ticket schließen können.

Gruß,

Michael

#2 - 2018-01-08 15:35 - hidden

- Status changed from In Progress to Customer Feedback Required

#3 - 2018-01-08 16:30 - hidden

Hallo Michael,

wo kann ich diesen pointcloudmixin.plb Filter bzw. die Display Toolbox finden? Im Component Tree taucht er nicht auf. Ich verwende ADTF Version:

2.13.3 Build 3013 x64.

Ermöglicht dieser Filter eine Visualisierung einer Punktwolke?

Mit freundlichen Grüßen / Best regards

Lukas Eberle

#4 - 2018-01-09 16:13 - hidden

Hallo Lukas,

der pointcloudmixin Filter ist ein Subfilter für einen anderen.

Wenn man ein "3D Scene Graph Display" im CE einrichtet, kann man mit Rechtsklick auf denselben -> "Create Pins and properties from

configuration" unter "Point Cloud Mixin" eine Anzahl an Inputpins definieren.

Hilft dir das weiter?

Bitte bis Fr, 12.01.2018 Feedback geben, ob deine Anfrage damit beantwortet ist und ob wir das Ticket schließen können.

Gruß,

Michael

#5 - 2018-01-10 09:00 - hidden

- File image001.png added

Hallo Michael,

der genannte Subfilter scheint bei mir nicht verfügbar zu sein.(siehe Bild)

[cid:image001.png@01D389E9.EAFBC470]

Mit freundlichen Grüßen / Best regards

Lukas Eberle

#6 - 2018-01-10 10:03 - hidden

Hallo Lukas,

Dazu muss die Display Tolbox instaliert sein, da diese den Filter enthält.

Hast du die Examples schon gebaut? Wenn ja, dann solltest du im ADTF Ordner unter Pfad \addons\adtf-display-toolbox\src\examples\bin

die Dateien pointcloudmixin.pdb und pointcloudmixin.plb finden können.

Noch eine Rückfrage:

Welche ADTF Version und welches Betriebssystem verwendest du eigentlich?

Gruß,

Michael

#7 - 2018-01-10 10:45 - hidden

- File ToolboxLicenses.PNG added

Hallo Michael,

siehe:
Hallo Michael,

wo kann ich diesen pointcloudmixin.plb Filter bzw. die Display Toolbox finden? Im Component Tree taucht er nicht auf. Ich verwende ADTF Version:

2.13.3 Build 3013 x64.

Ermöglicht dieser Filter eine Visualisierung einer Punktwolke?

Zumindest die Lizenz für die Toolbox habe ich(siehe Anhang). Eine Separate Installation der Toolbox habe ich nicht vorgenommen. Ich gehe davon

aus, dass diese bei der ADTF Installation inbegriffen ist.

Mit freundlichen Grüßen / Best regards

Lukas Eberle

#8 - 2018-01-10 11:25 - hidden

- Affected Products ADTF 2.13.3 added

- Platform Windows 7 64bit added

Hallo Lukas,

Ob du die Displaytoolbox installiert hast, findest du heraus, wenn du in deinem ADTF Installationsordner

<Pfad>\adtf\<Version>\addons nach dem Verzeichnis adtf-display-toolbox suchst.

Ist dieses nicht mit im addons Ordner, musst du die Diaplaytoolbox erst noch installieren.

Die Installationsdatei findest du im Download-Center unter:

https://support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-display-toolbox/release-2.1.1

Falls die Displaytoolbox zwar installiert, aber die Examples nicht gebaut sind, muss das noch nachgeholt werden.

Dafür kannst du die \addons\adtf-display-toolbox\build_examples.bat verwenden.

In den Source Dateien des Filters ist folgender Kommentar hinterlegt:

This is our custom drawable implementation that will draw the point cloud

with basic OpenGL commands.

Gruß,

Michael

#9 - 2018-01-10 13:45 - hidden

Danke für die Hilfe.

Leider findet die \addons\adtf-display-toolbox\build_examples.bat keine cmake Insallation. Cmake habe ich allerdings schon mehrfach neu installiert.

Gibt es dabei etwas bestimmtes zu beachten?

Mit freundlichen Grüßen / Best regards

Lukas Eberle

#10 - 2018-01-10 14:52 - hidden

Hallo Lukas,

ja, cMake muss in der PATH Variable hinterlegt sein, damit die Bat Datei es finden kann.

cMake sollte das bei der Installation anbieten: "Add CMake to the system PATH..."

hattest du das ausgewählt?

Gruß,

Michael

#11 - 2018-01-10 15:15 - hidden

- File installCmake.PNG added

Hallo Michael,

wenn ich diese Option bei er Installation auswähle, erhalte ich diese Meldung(siehe Anhang)

Mit freundlichen Grüßen / Best regards

Lukas Eberle
#12 - 2018-01-10 16:06 - hidden

Hallo Lukas,

die Meldung bedeutet, dass du in der System Path Variable zu viele Einträge drinstehen hast, als dass das cMake Setup sich mit eintragen könnte.

Das fällt aber nicht mehr in unseren Support.

Ist deine Anfrage damit beantwortet und kann das Ticket damit geschlossen werden?

Bitte bis Fr, 12.01.2018 Feedback geben

Gruß,

Michael

#13 - 2018-01-11 09:15 - hidden

Hallo Michael,

vielen Dank für den Support.

Das Ticket kann geschlossen werden.

Mit freundlichen Grüßen / Best regards

Lukas Eberle

#14 - 2018-01-11 12:45 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#15 - 2018-01-11 15:28 - hidden

- Project changed from Public Support to 5

- Description updated

- Status changed from To Be Closed to Closed

#16 - 2018-01-25 11:29 - hidden

- Project changed from 5 to Public Support

- Private changed from Yes to No

#17 - 2020-07-07 16:55 - hidden

- Description updated
